curl --request POST \
--url https://api.hubapi.com/crm/task-series/2026-09 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"taskId": 123
}
'import requests
url = "https://api.hubapi.com/crm/task-series/2026-09"
payload = {
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"taskId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
properties: {},
series: {
repeatInterval: 'RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR',
repeatStatus: '<string>',
startsAt: '2023-11-07T05:31:56Z'
},
taskId: 123
})
};
fetch('https://api.hubapi.com/crm/task-series/2026-09', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"properties": {},
"series": {
"repeatInterval": "RRULE:FREQ=WEEKLY;BYDAY=MO,WE,FR",
"repeatStatus": "<string>",
"startsAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a recurring task
Crea una nueva serie de tareas en el CRM de HubSpot. Este punto de terminación te permite iniciar una serie de tareas proporcionando las propiedades necesarias y los detalles de la serie. Es útil para automatizar secuencias de tareas repetitivas dentro de tus workflows del CRM.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Cuerpo
Un mapa de nombres de propiedades adicionales y sus valores, representado como un objeto de cadena a cadena.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
El identificador único de la tarea, representado como un número entero en formato int64.
Respuesta
successful operation
El identificador único de la serie de tareas, representado como una cadena.
Un mapa de nombres de propiedades personalizadas y sus valores, donde cada valor es una cadena.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
La fecha y hora en que se creó la serie de tareas, en formato ISO 8601.
La fecha y hora de la última actualización de la serie de tareas, en formato ISO 8601.